package com.cool.store.mapper;

import com.cool.store.entity.WarehouseInfoDO;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * @Author: WangShuo
 * @Date: 2025/04/08/15:07
 * @Version 1.0
 * @注释:
 */
public interface WarehouseInfoMapper extends Mapper<WarehouseInfoDO> {

    List<WarehouseInfoDO> getAllAndActive(@Param("keyword") String keyword);

    WarehouseInfoDO getByCode(@Param("code") String code);

    List<WarehouseInfoDO> getAll();
}
